## kf6-kcompletion 6.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.3.0") # handled by release scripts
set(KF_DEP_VERSION "6.3.0") # handled by release scripts
project(KCompletion VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.3.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(CMakeDependentOption)

include(ECMAddQch)
include(ECMPoQmTools)

set(kcompletion_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcompletion_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCOMPLETION
  VERSION_HEADER "${kcompletion_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfigVersion.cmake"
  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.5.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)

find_package(KF6Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_set_disabled_deprecation_versions(
    QT 6.7
    KF 5.240
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Completion")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Completion_QCH
        FILE KF6CompletionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6CompletionQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6CompletionConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6CompletionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6CompletionTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kcompletion_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kcompletion (6.3.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Mark xauth and xvfb build dependencies as not necessary with the nocheck
    build profile.

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:47 +0200

kf6-kcompletion (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Apr 2024 23:11:39 +0200

kcompletion (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023897).

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:51 +0100

kcompletion (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:34 +0200

kcompletion (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:53 +0100

kcompletion (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:25 +0100

kcompletion (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

kcompletion (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:26 +0100

kcompletion (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kcompletion (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kcompletion (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:32 +0200

kcompletion (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:01 +0200

kcompletion (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kcompletion (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kcompletion (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

kcompletion (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kcompletion (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:51:05 +0900

kcompletion (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kcompletion (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:01:22 +0900

kcompletion (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:00 +0900

kcompletion (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:31 +0900

kcompletion (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!



=== debian/control ===
Source: kf6-kcompletion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
Rules-Requires-Root: no

Package: libkf6completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf6completion-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.3.0~),
         libkf6completion6 (= ${binary:Version}),
         libkf6config-dev (>= 6.3.0~),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6completion-doc (= ${source:Version}),
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf6completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6completion6
Architecture: any
Multi-Arch: same
Depends: libkf6completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.

## kf6-kcompletion 6.6.0

=== debian/changelog ===
kf6-kcompletion (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:34 +0200

kf6-kcompletion (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 16:34:39 +0200

kf6-kcompletion (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:03 +0200

kf6-kcompletion (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -38,10 +38,10 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.3.0~),
+Depends: libkf6codecs-dev (>= 6.6.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),

## kf6-kcompletion 6.9.0

=== debian/changelog ===
kf6-kcompletion (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:05 +0000

kf6-kcompletion (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:37 +0000

kf6-kcompletion (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:35 +0100

kf6-kcompletion (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:37 +0100

kf6-kcompletion (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,10 +10,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6codecs-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6codecs-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -21,8 +22,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -38,10 +39,10 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.6.0~),
+Depends: libkf6codecs-dev (>= 6.9.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.9.0~),
+         libkf6widgetsaddons-dev (>= 6.9.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),

## kf6-kcompletion 6.10.0

=== debian/changelog ===
kf6-kcompletion (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:08 +0100

kf6-kcompletion (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:02:15 +0100

kf6-kcompletion (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6codecs-dev (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6codecs-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -39,11 +38,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.9.0~),
+Depends: libkf6codecs-dev (>= 6.10.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.9.0~),
-         libkf6widgetsaddons-dev (>= 6.9.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6config-dev (>= 6.10.0~),
+         libkf6widgetsaddons-dev (>= 6.10.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

## kf6-kcompletion 6.11.0

=== debian/changelog ===
kf6-kcompletion (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6codecs-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6codecs-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -38,10 +38,10 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.10.0~),
+Depends: libkf6codecs-dev (>= 6.11.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6widgetsaddons-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.11.0~),
+         libkf6widgetsaddons-dev (>= 6.11.0~),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),

## kf6-kcompletion 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.3.0") # handled by release scripts
-set(KF_DEP_VERSION "6.3.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.3.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -35,7 +35,7 @@
   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)
 
@@ -52,8 +52,8 @@
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.7
-    KF 5.240
+    QT 6.8
+    KF 6.11
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kcompletion (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:50:20 +0000

kf6-kcompletion (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:46:13 +0000

kf6-kcompletion (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6codecs-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6codecs-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -38,11 +39,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.11.0~),
+Depends: libkf6codecs-dev (>= 6.12.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.11.0~),
-         libkf6widgetsaddons-dev (>= 6.11.0~),
-         qt6-base-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.12.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

## kf6-kcompletion 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -52,8 +52,8 @@
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8
-    KF 6.11
+    QT 6.9
+    KF 6.12
 )
 
 ecm_install_po_files_as_qm(poqm)

=== src/CMakeLists.txt ===
add_library(KF6Completion)
add_library(KF6::Completion ALIAS KF6Completion)

set_target_properties(KF6Completion PROPERTIES
    VERSION     ${KCOMPLETION_VERSION}
    SOVERSION   ${KCOMPLETION_SOVERSION}
    EXPORT_NAME Completion
)

ecm_create_qm_loader(KF6Completion kcompletion6_qt)

target_sources(KF6Completion PRIVATE
    kcombobox.cpp
    kcombobox.h
    kcombobox_p.h
    kcompletionbase.cpp
    kcompletionbase.h
    kcompletionbox.cpp
    kcompletionbox.h
    kcompletion.cpp
    kcompletion.h
    kcompletionmatches.cpp
    kcompletionmatches.h
    kcompletion_p.h
    kemailvalidator.cpp
    kemailvalidator.h
    khistorycombobox.cpp
    khistorycombobox.h
    klineedit.cpp
    klineedit.h
    klineedit_p.h
    ksortablelist.h
    kzoneallocator.cpp
    kzoneallocator_p.h
)

ecm_qt_declare_logging_category(KF6Completion
    HEADER kcompletion_debug.h
    IDENTIFIER KCOMPLETION_LOG
    CATEGORY_NAME kf.completion
    DESCRIPTION "KCompletion"
    EXPORT KCOMPLETION
)

ecm_generate_export_header(KF6Completion
    BASE_NAME KCompletion
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.11
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Completion INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion>")

target_link_libraries(KF6Completion PUBLIC Qt6::Widgets
                                    PRIVATE KF6::ConfigCore      # KConfigGroup, used in many places
                                            KF6::ConfigGui       # KStandardShortcut
                                            KF6::WidgetsAddons   # KCursor
                                            KF6::Codecs # KEmailAddress
)

ecm_generate_headers(KCompletion_HEADERS
  HEADER_NAMES
  KComboBox
  KCompletion
  KCompletionBase
  KCompletionBox
  KEmailValidator
  KLineEdit
  KHistoryComboBox
  KSortableList
  KCompletionMatches

  REQUIRED_HEADERS KCompletion_HEADERS
)

install(TARGETS KF6Completion EXPORT KF6CompletionTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcompletion_export.h
  ${KCompletion_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF6Completion_QCH
        NAME KCompletion
        BASE_NAME KF6Completion
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCompletion_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCOMPLETION_EXPORT
            KCOMPLETION_DEPRECATED
            "KCOMPLETION_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT KCOMPLETION
    FILE kcompletion.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== src/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KComboBox
    TOOLTIP "Combo Box (KF6)"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KHistoryComboBox
    TOOLTIP "A combobox for offering a history and completion (KF6)"
    WHATSTHIS "A combobox which implements a history like a unix shell"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KLineEdit
    TOOLTIP "Line Edit (KF6)"
    GROUP "Input (KF6)"
)

ecm_add_qtdesignerplugin(kcompletionwidgets
    NAME KCompletionWidgets
    OUTPUT_NAME kcompletion6widgets
    WIDGETS
        KComboBox
        KHistoryComboBox
        KLineEdit
    LINK_LIBRARIES
        KF6::Completion
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kf6-kcompletion (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6codecs-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6codecs-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -39,11 +38,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.12.0~),
+Depends: libkf6codecs-dev (>= 6.13.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         libkf6config-dev (>= 6.13.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kf6-kcompletion 6.16.0

=== debian/changelog ===
kf6-kcompletion (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:40:14 +0100

kf6-kcompletion (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Refresh cross.patch
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:34 +0100

kf6-kcompletion (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6codecs-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6codecs-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -38,11 +39,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.13.0~),
+Depends: libkf6codecs-dev (>= 6.16.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.13.0~),
-         libkf6widgetsaddons-dev (>= 6.13.0~),
-         qt6-base-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

## kf6-kcompletion 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -25,8 +25,8 @@
 include(CMakePackageConfigHelpers)
 include(CMakeDependentOption)
 
-include(ECMAddQch)
 include(ECMPoQmTools)
+include(ECMGenerateQDoc)
 
 set(kcompletion_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcompletion_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCOMPLETION
@@ -35,7 +35,7 @@
   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)
 
@@ -45,15 +45,12 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9
-    KF 6.12
+    QT 6.10
+    KF 6.16
 )
 
 ecm_install_po_files_as_qm(poqm)
@@ -66,16 +63,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Completion")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Completion_QCH
-        FILE KF6CompletionQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6CompletionQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt6Test_FOUND)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

include(ECMAddTests)

ecm_add_tests(
   kcompletioncoretest.cpp
   klineedit_unittest.cpp
   kcombobox_unittest.cpp
   ksortablelisttest.cpp
   kemailvalidatortest.cpp
   LINK_LIBRARIES Qt6::Test KF6::Completion
)

=== debian/changelog ===
kf6-kcompletion (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6codecs-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6codecs-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -39,10 +39,10 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.16.0~),
+Depends: libkf6codecs-dev (>= 6.17.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6widgetsaddons-dev (>= 6.17.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
